From d5bd218813becac61b79115a50e037bd285fa06e Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Nov 05 2020 22:37:47 +0000
Subject: [PATCH 1288/2232] Arrange exported_header_links handling to make room for exported_header_prefixes


---

diff --git a/gen/build/src/lib.rs b/gen/build/src/lib.rs
index 8ee96cb..d302ba0 100644
--- a/gen/build/src/lib.rs
+++ b/gen/build/src/lib.rs
@@ -238,15 +238,15 @@ fn make_this_crate(prj: &Project) -> Result<Crate> {
     }
 
     for krate in deps::direct_dependencies() {
-        let links_attribute = match krate.links {
-            Some(links) => links,
-            None => continue,
+        let is_link_exported = || match &krate.links {
+            None => false,
+            Some(links_attribute) => CFG
+                .exported_header_links
+                .iter()
+                .any(|exported| links_attribute == *exported),
         };
 
-        let exported = CFG
-            .exported_header_links
-            .iter()
-            .any(|exported| links_attribute == *exported);
+        let exported = is_link_exported();
 
         this_crate
             .header_dirs

